import dataclasses

import msgpack

from source.packets import base


@dataclasses.dataclass
class DiscoveryPacket(base.BasePacket):
    """
    Represent a packet used to discover new devices in the network.
    """

    def pack(self) -> bytes:
        return msgpack.packb(())

    @classmethod
    def unpack(cls, data: bytes):
        return cls()
